﻿@{
    ViewBag.Title = "DataTables";
    Layout = "~/Views/Shared/_QuickStartLayout.cshtml";
}
@section HeadCss{
    @if (false)
    {
        <link href="../../Content/public/bootstrap3/bootstrap.css" rel="stylesheet" type="text/css" />
        <link href="../../Content/public/bootstrap3/bootstrap-theme.css" rel="stylesheet"
            type="text/css" />
        <link href="../../Content/public/bootstrap3/bootstrap-custom.css" rel="stylesheet"
            type="text/css" />
    }
    <link href="../../Scripts/AddForQuickStart/DataTables-1.10.4/css/jquery.dataTables.css"
        rel="stylesheet" type="text/css" />
    <style type="text/css">
        .quickstartexample
        {
            border-style: solid;
            border-color: #ddd;
            border-width: 1px;
            border-radius: 4px;
            padding: 10px;
        }
        .p-h-zh
        {
            font-family: 微软雅黑;
        }
    </style>
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-1">
        </div>
        <div class="col-md-9">
            <div class="row">
                <h2>
                    DataTables</h2>
                <h4>
                    了解更多，中文网：<a href="http://dt.thxopen.com/index.html">http://dt.thxopen.com/index.html</a>英文官网：<a
                        href="http://www.datatables.net/">http://www.datatables.net/</a></h4>
            </div>
            <!-----------------example1----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    1.最简单的使用方式。（采用默认参数）
                </h4>
                <h5 class="p-h-zh">
                    效果：</h5>
                <table id="dataTable1" class="display">
                    <thead>
                        <tr>
                            <th>
                                Name
                            </th>
                            <th>
                                Age
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>
                                小魏
                            </td>
                            <td>
                                19
                            </td>
                        </tr>
                        <tr>
                            <td>
                                小宏
                            </td>
                            <td>
                                23
                            </td>
                        </tr>
                    </tbody>
                </table>
                <br />
                <br />
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;table id="dataTable" class="display"&gt;
    &lt;thead&gt;
        &lt;tr&gt;
            &lt;th&gt;
                Name
            &lt;/th&gt;
            &lt;th&gt;
                Age
            &lt;/th&gt;
        &lt;/tr&gt;
    &lt;/thead&gt;
    &lt;tbody&gt;
        &lt;tr&gt;
            &lt;td&gt;
                小魏
            &lt;/td&gt;
            &lt;td&gt;
                19
            &lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
            &lt;td&gt;
                小宏
            &lt;/td&gt;
            &lt;td&gt;
                23
            &lt;/td&gt;
        &lt;/tr&gt;
    &lt;/tbody&gt;
&lt;/table&gt;
<br />
&lt;script type="text/javascript"&gt;
    $().ready(function () {
            $("#dataTable").DataTable();
        });
&lt;/script&gt;
</pre>
            </div>
            <!-----------------example2----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    2.动态绑定数据(数据源来自JavaScript)
                </h4>
                <h5 class="p-h-zh">
                    效果：</h5>
                <table id="dataTable2" class="display">
                    <thead>
                        <tr>
                            <th>
                                Name
                            </th>
                            <th>
                                Age
                            </th>
                            <th>
                                Salary
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
                <br />
                <br />
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;table id="dataTable" class="display"&gt;
    &lt;thead&gt;
        &lt;tr&gt;
            &lt;th&gt;
                Name
            &lt;/th&gt;
            &lt;th&gt;
                Age
            &lt;/th&gt;
            &lt;th&gt;
                Salary
            &lt;/th&gt;
        &lt;/tr&gt;
    &lt;/thead&gt;
    &lt;tbody&gt;
    &lt;/tbody&gt;
&lt;/table&gt;
<br />
&lt;script type="text/javascript"&gt;
    $().ready(function () {
            var salaryList = [
                {
                    Name: "Tom",
                    Age: "25",
                    Salary: "$8,000"
                },
                {
                    Name: "Mary",
                    Age: "32",
                    Salary: "$25,000"
                },
                {
                    Name: "小强",
                    Age: "28",
                    Salary: "￥16,000"
                }
            ];
            $("#dataTable").DataTable({
                data: salaryList,
                columns: [
                    { data: 'Name' },
                    { data: 'Age' },
                    { data: 'Salary' }
                ]
            });
        });
&lt;/script&gt;
</pre>
            </div>
            <!-----------------example3----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    3.动态绑定数据(数据源来自Ajax)
                </h4>
                <h5 class="p-h-zh">
                    效果：</h5>
                <table id="dataTable3" class="display">
                    <thead>
                        <tr>
                            <th>
                                ProductName
                            </th>
                            <th>
                                Price
                            </th>
                            <th>
                                Sales
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
                <br />
                <br />
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;table id="dataTable" class="display"&gt;
    &lt;thead&gt;
        &lt;tr&gt;
            &lt;th&gt;
                ProductName
            &lt;/th&gt;
            &lt;th&gt;
                Price
            &lt;/th&gt;
            &lt;th&gt;
                Sales
            &lt;/th&gt;
        &lt;/tr&gt;
    &lt;/thead&gt;
    &lt;tbody&gt;
    &lt;/tbody&gt;
&lt;/table&gt;
<br />
&lt;script type="text/javascript"&gt;
    $().ready(function () {
            $("#dataTable3").dataTable({
                ajax: "/QuickStart/GetProductList",
                columns:[
                    { data: 'ProductName' },
                    { data: 'Price' },
                    { data: 'Sales' }
                ]
            });
        });
&lt;/script&gt;
<br />注：ajax请求的后台方法返回值(Json)格式:{aaData:yourData,...},如（.net Mvc）：
public JsonResult GetProductList()
{
    List&lt;object&gt; result = SampleService.GetProduct();
    return Json(new { aaData=result }, JsonRequestBehavior.AllowGet);
}
</pre>
            </div>
            <!-----------------example4----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    4.常用参数设置
                </h4>
                <ul>
                    <li><code>paging</code>:是否启用分页（默认为true）</li>
                    <li><code>scrollX</code>:水平滚动条</li>
                    <li><code>scrollY</code>:竖直滚动条</li>
                    <li><code>ajax</code>:异步数据源配置</li>
                    <li><code>data</code>:javascript数据源配置</li>
                    <li><code>columns</code>:配置每一列的数据源</li>
                    @*<li><code>searching</code>:是否启用搜索（默认为true）</li>
                    <li><code>ordering</code>:是否启用排序（默认为true）</li>*@
                </ul>
                <p class="p-h-zh">
                    例如：</p>
                <pre class="prettyprint linenums">
&lt;script type="text/javascript"&gt;
    $("#example").DataTable({
        ordering:true,
        searching：false,
        paging:false,
        scrollY:400,
    });
&lt;/script&gt;
</pre>
                <p class="p-h-zh">
                    效果</p>
                <table id="dataTable4" class="display">
                    <thead>
                        <tr>
                            <th>
                                ProductName
                            </th>
                            <th>
                                Price
                            </th>
                            <th>
                                Sales
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
                <br />
            </div>
            <!-----------------example5----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    5.两个特殊的设置
                </h4>
                <ul>
                    <li><code>searching</code>:是否启用搜索（默认为true）</li>
                    <li><code>ordering</code>:是否启用排序（默认为true）</li>
                </ul>
                <p class="p-h-zh">
                    这两个选项默认是封锁的，是不能修改的。如果项目中需要关闭排序或者搜索功能，那么需要用到 <code>$.fn.dataTable.defaults</code>对象。
                </p>
                <p class="p-h-zh">
                    例如：</p>
                <pre class="prettyprint linenums">
&lt;script type="text/javascript"&gt;
    $.extend(
        $.fn.dataTable.defaults,{
            searching:false，
            ordering:false
        }
    );
    $("#example").DataTable({
        ordering:false,
        searching:false,
    });
&lt;/script&gt;
</pre>
                <p class="p-h-zh">
                    效果</p>
                <table id="dataTable5" class="display">
                    <thead>
                        <tr>
                            <th>
                                Name
                            </th>
                            <th>
                                Age
                            </th>
                            <th>
                                Salary
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
                <br />
            </div>
        </div>
    </div>
</div>
@section Scripts{
    <script src="../../Scripts/AddForQuickStart/DataTables-1.10.4/js/jquery.dataTables.js"
        type="text/javascript"></script>
    <script type="text/javascript" language="javascript">
        $().ready(function () {
            //-----------------example1-----------------------
            $("#dataTable1").DataTable();
            //-----------------example2-----------------------
            var salaryList = [
                {
                    Name: "Tom",
                    Age: "25",
                    Salary: "$8,000"
                },
                {
                    Name: "Mary",
                    Age: "32",
                    Salary: "$25,000"
                },
                {
                    Name: "小强",
                    Age: "28",
                    Salary: "￥16,000"
                }
            ];
            $("#dataTable2").DataTable({
                data: salaryList,
                columns: [
                    { data: 'Name' },
                    { data: 'Age' },
                    { data: 'Salary' }
                ]
            });
            //-----------------example3-----------------------
//            $.ajax({
//                url: "GetProductList",
//                success: function (data, statusText, jqXHR) {
//                    $("#dataTable3").DataTable({
//                        data: data,
//                        columns: [
//                        { data: 'ProductName' },
//                        { data: 'Price' },
//                        { data: 'Sales' }
//                    ]
//                    });
//                }
//            });
//            $.post(
//                "GetProductList", //Url
//                {}, //data
//                function (data, status) { //回调函数
//                    $("#dataTable3").DataTable({
//                        data:data,
//                        columns:[
//                            {data:'ProductName'},
//                            {data:'Price'},
//                            {data:'Sales'},
//                        ]
//                    });
//                }
//            );

            //Ajax for DataTables
            $("#dataTable3").dataTable({
                ajax: "/QuickStart/GetProductList",
                columns:[
                    { data: 'ProductName' },
                    { data: 'Price' },
                    { data: 'Sales' }
                ]
            });

            //-----------------example4-----------------------
            $("#dataTable4").dataTable({
                ajax: "/QuickStart/GetProductList",
                columns: [
                    { data: 'ProductName' },
                    { data: 'Price' },
                    { data: 'Sales' }
                ],
                paging:false,
                scrollY:400
            });
            //-----------------example5-----------------------
           $.extend(
                $.fn.dataTable.defaults,{
                    searching:false,
                    ordering:false
                }
            );
            $("#dataTable5").DataTable({
                data: salaryList,
                columns: [
                    { data: 'Name' },
                    { data: 'Age' },
                    { data: 'Salary' }
                ],
                ordering:false,
                searchin:false
            });


        });
        
    </script>
}
